INSERT INTO `**format**` (`table`,`column`,`shortName`,`name`,`description`,`nullAllowed`,`default`,`validation`,`blankAllowed`,`min`,`max`,`length`,`dropDownLength`,`lengthInChars`,`allowedTable`,`allowedIDColumn`,`allowedDescColumns`,`allowedDescFormat`,`linkToDBForeignKey`,`allowedSelectCriteria`,`blackList`,`allowedList`,`formatType`,`replaceNullsWith`,`list`,`listDelimiter`,`timeStamp`,`prefix`,`suffix`,`replaceZerosWith`,`tableViewWidth`,`listAllowAll`,`allowedOrder`,`maxItems`,`disabledCriteria`,`hiddenCriteria`,`system`,`modifyViewEmpClasses`,`modifyOrder`,`rowViewEmpClasses`,`rowOrder`,`createViewEmpClasses`,`createOrder`,`tableViewEmpClasses`,`tableViewOptionEmpClasses`,`tableOrder`,`uploadAutoInsertParent`,`uploadAutoInsertTable`,`uploadAutoInsertColumns`,`uploadAutoInsertValues`,`uploadTransformMessage`,`uploadTransform`,`uploadTransformCode`,`childName`,`showChildRelation`,`numDecimalPlaces`,`id2SplitShowLevels`,`id2SplitTakeFromFront`,`id2SplitTakeFromBack`,`charsToShowFromLeft`,`charsToShowFromRight`,`listMasterColumn`,`virtualColumn`,`regExp`,`regExpMsg`,`autoGrowField`,`growMax`,`fieldHeight`,`localStore`,`encrypt`,`useLastInsertVal`,`formShortName`,`formName`,`app`,`autoWildCardSearch`,`filterExp`,`sortExp`,`showAsTree`,`treeOnlySelectData`,`treeShowData`,`treeDataSC`,`treeDataIDCol`,`treeDataDescExp`,`showDescInTable`,`wrap`) VALUES 
('**esptableindexes**','cardinality','Unique Values','An estimate of the number of unique values in the index. This is updated by running ANALYZE TABLE or myisamchk -a. In database terminology, this is called cardinality. Cardinality is counted based on statistics stored as integers, so the value is not necessarily exact even for small tables. The higher the cardinality, the greater the chance that MySQL uses the index when doing joins.',NULL,1,'','text',1,NULL,50,0,0,0,NULL,NULL,'','',0,'','','','none','<span style="color:red;">&empty;</span>',0,'','2014-06-12 16:06:39','','','',97,0,'',100,'','',0,'',0.000,'',0.000,'',0.000,'all','',6.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','collation','Sorting','Sorting: How the column is sorted in the index. In MySQL, this can have values “Asc” (Ascending) or NULL (Not sorted). For some engines, "Desc," (Descending) might not do anything, and the system will change it to Asc.',NULL,1,'','text',1,NULL,50,0,0,0,NULL,NULL,NULL,'',0,'','','ASC,DESC','none','<span style="color:red;">&empty;</span>',1,'','2012-05-17 03:00:09','','','',68,0,'',100,'','',0,'all',0.000,NULL,0.000,'all',0.000,'all',NULL,10.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,'colList',1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','colList','Indexed Columns','You can put an index on just one column, or multiple columns. But the order matters if you are indexing multiple columns. You can use multiple-column indexes for queries that test all the columns in the index, or queries that test just the first column, the first two columns, the first three columns, and so on. If you specify the columns in the right order in the index definition, a single composite index can speed up several kinds of queries on the same table.\n\nFor more information on this see: http://dev.mysql.com/doc/refman/5.0/en/multiple-column-indexes.html',NULL,1,'','text',1,NULL,500,190,0,0,'esp_format','column','shortName,column','**shortName** (**column**)',0,'`table`=''**table**''','','','none','<span style="color:red;">&empty;</span>',1,'','2014-06-12 16:06:39','','','',100,0,'shortName asc',100,'',NULL,0,'all',0.000,NULL,0.000,'all',0.000,'all',NULL,4.000,0,NULL,NULL,NULL,'',0,'','',1,0,0,0,0,NULL,NULL,'colList',1,NULL,NULL,1,0,0,1,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','indexType','Index Type','Index Type\nThe index type for a non-SPATIAL index depends on the storage engine. Currently, B-tree is used.\n\nSome storage engines permit you to specify an index type when creating an index. The permissible index type values supported by different storage engines are shown in the following table. Where multiple index types are listed, the first one is the default when no index type specifier is given.\n\nStorage Engine	Permissible Index Types\nMyISAM: BTREE\nInnoDB: BTREE\nMEMORY/HEAP: HASH, BTREE\nNDB: HASH, BTREE (see note in text)\n\nIf you specify an index type that is not legal for a given storage engine, but there is another index type available that the engine can use without affecting query results, the engine uses the available type. The parser recognizes RTREE as a type name, but currently this cannot be specified for any storage engine.\n\nFor more information, see: http://dev.mysql.com/doc/refman/5.0/en/create-index.html',NULL,1,'','text',1,NULL,50,0,0,0,NULL,NULL,'','',0,'','','BTREE,HASH','none','<span style="color:red;">&empty;</span>',0,'','2012-05-17 03:00:09','','','',71,0,'',100,'','',0,'all',0.000,'',0.000,'all',0.000,'all','',9.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','keyName','Index Name','Indexes are used to find rows with specific column values quickly. Without an index, MySQL must begin with the first row and then read through the entire table to find the relevant rows. The larger the table, the more this costs. If the table has an index for the columns in question, MySQL can quickly determine the position to seek to in the middle of the data file without having to look at all the data. If a table has 1,000 rows, this is at least 100 times faster than reading sequentially. If you need to access most of the rows, it is faster to read sequentially, because this minimizes disk seeks.\n\nFor more information see: http://dev.mysql.com/doc/refman/5.0/en/mysql-indexes.html',NULL,1,'','text',1,NULL,50,285,0,0,NULL,NULL,'','',0,'','','','none','<span style="color:red;">&empty;</span>',0,'','2012-05-17 03:00:09','','','',100,0,'',100,'**primary**=1',NULL,0,'all',0.000,'',0.000,'all',0.000,'all','',3.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','length','Length','You can choose the number of number of bytes to be indexed. This is generally left blank, which means it will index the complete value of the column, but if the column type is TEXT or BLOB, you must enter a value in the field.\n\nPrefix lengths are given in characters for nonbinary string types and in bytes for binary string types. That is, index entries consist of the first length characters of each column value for CHAR, VARCHAR, and TEXT columns, and the first length bytes of each column value for BINARY, VARBINARY, and BLOB columns.\n\nFor more information, see: http://dev.mysql.com/doc/refman/5.0/en/create-index.html',NULL,0,'','text',1,NULL,50,0,0,0,NULL,NULL,NULL,'',0,'','','','none','<span style="color:red;">&empty;</span>',1,'','2014-06-12 16:06:39','','','',100,0,'',100,'','',0,'all',0.000,NULL,0.000,'all',0.000,'all',NULL,5.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,'colList',1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','primary','Primary Key','A PRIMARY KEY is a unique index where all key columns must be defined as NOT NULL. If they are not explicitly declared as NOT NULL, MySQL declares them so implicitly (and silently). A table can have only one PRIMARY KEY. The name of a PRIMARY KEY is always PRIMARY, which thus cannot be used as the name for any other kind of index.\n\nIf you do not have a PRIMARY KEY and an application asks for the PRIMARY KEY in your tables, MySQL returns the first UNIQUE index that has no NULL columns as the PRIMARY KEY.\n\nIn InnoDB tables, keep the PRIMARY KEY short to minimize storage overhead for secondary indexes. Each secondary index entry contains a copy of the primary key columns for the corresponding row.',NULL,1,'','bool',0,NULL,NULL,0,0,0,NULL,NULL,'','',0,'','','','bool','<span style="color:red;">&empty;</span>',0,'','2012-05-17 03:00:09','','','',76,0,'',100,'','',0,'',0.000,'',0.000,'all',0.000,'all','',7.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','table','table','table',NULL,1,'','dbtablename',0,NULL,50,0,0,0,'esp_tabledata','dbName','','',0,'','','','none','<span style="color:red;">&empty;</span>',0,'','2012-09-11 08:06:59','','','',100,0,'',100,'','1',0,'all',0.000,'',0.000,'all',0.000,'','',2.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','timeStamp','timeStamp','timeStamp',NULL,1,NULL,'datetime',1,NULL,NULL,0,0,0,NULL,NULL,NULL,NULL,0,NULL,NULL,NULL,'date-m/d/Y g:i:s a','<span style="color:red;">&empty;</span>',0,NULL,'2014-06-05 18:03:26',NULL,NULL,NULL,0,0,NULL,100,NULL,NULL,1,'all',0.000,'all',0.000,'all',0.000,'all','all',0.000,0,NULL,NULL,NULL,NULL,0,NULL,NULL,1,0,0,0,0,NULL,NULL,NULL,0,NULL,NULL,1,0,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0),
('**esptableindexes**','unique','Unique','Whether the values in the index must be unique.',NULL,1,'','bool',0,NULL,NULL,0,0,0,NULL,NULL,'','',0,'','','','bool','<span style="color:red;">&empty;</span>',0,'','2012-05-17 03:00:09','','','',61,0,'',100,'**primary**=1','',0,'all',0.000,'',0.000,'all',0.000,'all','',8.000,0,'','','','',0,'','',1,0,0,0,0,NULL,NULL,NULL,1,NULL,NULL,1,0,0,0,0,0,NULL,'',NULL,1,NULL,NULL,0,0,0,NULL,NULL,NULL,0,0)
ON DUPLICATE KEY UPDATE
`table`=VALUES(`table`),
`column`=VALUES(`column`),
`shortName`=VALUES(`shortName`),
`name`=VALUES(`name`),
`description`=VALUES(`description`),
`nullAllowed`=VALUES(`nullAllowed`),
`default`=VALUES(`default`),
`validation`=VALUES(`validation`),
`blankAllowed`=VALUES(`blankAllowed`),
`min`=VALUES(`min`),
`max`=VALUES(`max`),
`length`=VALUES(`length`),
`dropDownLength`=VALUES(`dropDownLength`),
`lengthInChars`=VALUES(`lengthInChars`),
`allowedTable`=VALUES(`allowedTable`),
`allowedIDColumn`=VALUES(`allowedIDColumn`),
`allowedDescColumns`=VALUES(`allowedDescColumns`),
`allowedDescFormat`=VALUES(`allowedDescFormat`),
`linkToDBForeignKey`=VALUES(`linkToDBForeignKey`),
`allowedSelectCriteria`=VALUES(`allowedSelectCriteria`),
`blackList`=VALUES(`blackList`),
`allowedList`=VALUES(`allowedList`),
`formatType`=VALUES(`formatType`),
`replaceNullsWith`=VALUES(`replaceNullsWith`),
`list`=VALUES(`list`),
`listDelimiter`=VALUES(`listDelimiter`),
`timeStamp`=VALUES(`timeStamp`),
`prefix`=VALUES(`prefix`),
`suffix`=VALUES(`suffix`),
`replaceZerosWith`=VALUES(`replaceZerosWith`),
`tableViewWidth`=VALUES(`tableViewWidth`),
`listAllowAll`=VALUES(`listAllowAll`),
`allowedOrder`=VALUES(`allowedOrder`),
`maxItems`=VALUES(`maxItems`),
`disabledCriteria`=VALUES(`disabledCriteria`),
`hiddenCriteria`=VALUES(`hiddenCriteria`),
`system`=VALUES(`system`),
`modifyViewEmpClasses`=VALUES(`modifyViewEmpClasses`),
`modifyOrder`=VALUES(`modifyOrder`),
`rowViewEmpClasses`=VALUES(`rowViewEmpClasses`),
`rowOrder`=VALUES(`rowOrder`),
`createViewEmpClasses`=VALUES(`createViewEmpClasses`),
`createOrder`=VALUES(`createOrder`),
`tableViewEmpClasses`=VALUES(`tableViewEmpClasses`),
`tableViewOptionEmpClasses`=VALUES(`tableViewOptionEmpClasses`),
`tableOrder`=VALUES(`tableOrder`),
`uploadAutoInsertParent`=VALUES(`uploadAutoInsertParent`),
`uploadAutoInsertTable`=VALUES(`uploadAutoInsertTable`),
`uploadAutoInsertColumns`=VALUES(`uploadAutoInsertColumns`),
`uploadAutoInsertValues`=VALUES(`uploadAutoInsertValues`),
`uploadTransformMessage`=VALUES(`uploadTransformMessage`),
`uploadTransform`=VALUES(`uploadTransform`),
`uploadTransformCode`=VALUES(`uploadTransformCode`),
`childName`=VALUES(`childName`),
`showChildRelation`=VALUES(`showChildRelation`),
`numDecimalPlaces`=VALUES(`numDecimalPlaces`),
`id2SplitShowLevels`=VALUES(`id2SplitShowLevels`),
`id2SplitTakeFromFront`=VALUES(`id2SplitTakeFromFront`),
`id2SplitTakeFromBack`=VALUES(`id2SplitTakeFromBack`),
`charsToShowFromLeft`=VALUES(`charsToShowFromLeft`),
`charsToShowFromRight`=VALUES(`charsToShowFromRight`),
`listMasterColumn`=VALUES(`listMasterColumn`),
`virtualColumn`=VALUES(`virtualColumn`),
`regExp`=VALUES(`regExp`),
`regExpMsg`=VALUES(`regExpMsg`),
`autoGrowField`=VALUES(`autoGrowField`),
`growMax`=VALUES(`growMax`),
`fieldHeight`=VALUES(`fieldHeight`),
`localStore`=VALUES(`localStore`),
`encrypt`=VALUES(`encrypt`),
`useLastInsertVal`=VALUES(`useLastInsertVal`),
`formShortName`=VALUES(`formShortName`),
`formName`=VALUES(`formName`),
`app`=VALUES(`app`),
`autoWildCardSearch`=VALUES(`autoWildCardSearch`),
`filterExp`=VALUES(`filterExp`),
`sortExp`=VALUES(`sortExp`),
`showAsTree`=VALUES(`showAsTree`),
`treeOnlySelectData`=VALUES(`treeOnlySelectData`),
`treeShowData`=VALUES(`treeShowData`),
`treeDataSC`=VALUES(`treeDataSC`),
`treeDataIDCol`=VALUES(`treeDataIDCol`),
`treeDataDescExp`=VALUES(`treeDataDescExp`),
`showDescInTable`=VALUES(`showDescInTable`),
`wrap`=VALUES(`wrap`);
