  /**
   *This file handles finding functions.
   *
   *@package findFunc
   */
  // This funcion will find a file with another function and evaluate that function with the passed arguments.
  /**
   *This function will find a file with another function and evaluate that function with the passed arguments.
   *
   *@param string $fn name of function
   *@param array $args array of arguments to pass to function
   *
   *@return unknown dependent of function being called
   */
function findFunc($fn,$args)
{
  // If the funcion doesn't exist then load it.
  require_once($GLOBALS['funcPath'].$fn.'.func.php');
  $call = 'return '.$fn.'(';
  for($i=0; $i < count($args); $i++)
    {
      $call .= (($i>0)?',':'').'$arg['.$i.']';
    }
  $call .= ');';
  return eval($call);
}
