INSERT INTO `**validation**` (`id`,`shortName`,`name`,`timeStamp`) VALUES 
('alpha','Alphabetical','Only a-z,A-Z.','0000-00-00 00:00:00'),
('alphanum','Alphanumeric','Only a-z,A-Z, or 0-9.','0000-00-00 00:00:00'),
('alphanumdash','Alphanumeric with Hyphens','Letters, numbers, and hyphens','2012-05-30 07:40:49'),
('alphanumweak','Weak Alphanumeric','Letters, numbers, underscores, hyphens','0000-00-00 00:00:00'),
('bool','Switch','This is an on or off switch.','0000-00-00 00:00:00'),
('code','Code','This field will hold some type of code: e.g. php, javascript, html, sql etc. ','2015-02-07 09:39:34'),
('columnid','SQL Column Names','Valid column characters (set in ESP Config)','2015-03-11 15:44:55'),
('cur','Currency','A positive decimal with at most 2 decimal places.','0000-00-00 00:00:00'),
('date','Date','A date (YYYY-MM-DD)','2012-07-23 04:29:52'),
('datetime','Date+Time','This can be a date(YYYY-MM-DD) or date+time (YYYY-MM-DD HH:MM:SS).','0000-00-00 00:00:00'),
('dbtablename','SQL Table Name','Validation for table names in your database','2012-09-10 19:52:56'),
('directions','Directions','Directions openable in Google Maps','2014-12-05 15:05:01'),
('email','Email Address','Email Address','2010-10-14 11:26:17'),
('file','File','File Upload Field','2014-03-25 11:48:44'),
('filepath','File Path','File Path','2012-03-27 04:37:10'),
('gpscoordinate','GPS Coordinate','GPS coordinate with map interface','2014-11-12 15:12:32'),
('html','HTML Code','HTML Code','2015-01-13 10:37:18'),
('htmlcolor','HTML Color','HTML Color Palette','2012-03-26 08:48:06'),
('id2','Alphanum & _','Alphanumeric with underscores.','2011-11-21 11:00:06'),
('image','Image','An Image Upload','2014-03-25 11:43:41'),
('javascript','Javascript','Creates a codemirror field formatted for Javascript','2015-02-05 15:38:22'),
('keydatatype','SQL Key Data Type','SQL Key Data Type','2012-05-01 03:32:35'),
('location','Location','Your current location (if it''s available)','2014-03-28 15:13:31'),
('name','Name','Letters, periods, spaces,commas,hyphens and apostrophes.','0000-00-00 00:00:00'),
('none','No Validation','Self Explanatory.','0000-00-00 00:00:00'),
('num','Number','Only numbers','0000-00-00 00:00:00'),
('password','Password','Password: Requires an upper case and lower case letter, and one number and one special character.','2014-04-04 11:24:50'),
('passwordregexp','Custom Password','Password field that uses regex for validation','2014-04-04 11:30:58'),
('phone','Phone Number','Numbers, parentheses, and hyphens.','0000-00-00 00:00:00'),
('php','PHP','Creates a codemirror field formatted for PHP','2015-02-05 15:38:59'),
('real','Decimal','Any decimal number.','0000-00-00 00:00:00'),
('regexp','Reg. Exp.','Regular Expression','2012-04-10 07:03:48'),
('sorttree-2','Multiselect Sorttree','Select multiple items from a sort tree','2014-06-02 10:46:04'),
('sql','SQL','Creates a code mirror field formatted for SQL','2015-02-05 16:10:58'),
('sqldatatype','SQL Data Type','SQL Data Type','2012-03-26 08:49:34'),
('stringnum','String of Numbers','Like number validation, but the min''s and max''s are number of characters','0000-00-00 00:00:00'),
('text','Any Text','This allows any text.','0000-00-00 00:00:00'),
('textarea','Multiple Line Text','This allows any text with carriage returns.','0000-00-00 00:00:00'),
('time','Time','Time of Day','2014-03-28 11:07:04')
ON DUPLICATE KEY UPDATE
`id`=VALUES(`id`),
`shortName`=VALUES(`shortName`),
`name`=VALUES(`name`),
`timeStamp`=VALUES(`timeStamp`);
